Package fr.gouv.vitam.common.model.config

# Class CollectionConfiguration

java.lang.Object
fr.gouv.vitam.common.model.config.CollectionConfiguration

public class CollectionConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionConfiguration()`
  `CollectionConfiguration(Integer numberOfShards, Integer numberOfReplicas)`
  `CollectionConfiguration(Integer numberOfShards, Integer numberOfReplicas, String mappingFile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMappingFile()`
  `Integer`
  `getNumberOfReplicas()`
  `Integer`
  `getNumberOfShards()`
  `CollectionConfiguration`
  `setMappingFile(String mappingFile)`
  `CollectionConfiguration`
  `setNumberOfReplicas(Integer numberOfReplicas)`
  `CollectionConfiguration`
  `setNumberOfShards(Integer numberOfShards)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CollectionConfiguration

    public CollectionConfiguration()

  - ### CollectionConfiguration

    public CollectionConfiguration(Integer numberOfShards, Integer numberOfReplicas)

  - ### CollectionConfiguration

    public CollectionConfiguration(Integer numberOfShards, Integer numberOfReplicas, String mappingFile)

- ## Method Details

  - ### getNumberOfShards

    public Integer getNumberOfShards()

  - ### setNumberOfShards

    public CollectionConfiguration setNumberOfShards(Integer numberOfShards)

  - ### getNumberOfReplicas

    public Integer getNumberOfReplicas()

  - ### setNumberOfReplicas

    public CollectionConfiguration setNumberOfReplicas(Integer numberOfReplicas)

  - ### getMappingFile

    public String getMappingFile()

  - ### setMappingFile

    public CollectionConfiguration setMappingFile(String mappingFile)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`